//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SDIVIDER.H 

#if !defined(__SFX_SDIVIDER_H)
#define __SFX_SDIVIDER_H

#if !defined(__OWL_CONTROL_H)
#include <owl\control.h>
#endif

//	class TSFXDivider

class _OWLCLASS TSFXDivider : public TControl
{
  public:
	TSFXDivider(TWindow*        parent,
				int             id,
				int x, int y, int length,
				BOOL            isVertical,
				BOOL            isHump,
				BOOL            borStyle,
				TModule*        module = 0);

	TSFXDivider(TWindow* parent, int resourceId, TModule* module = 0);

  protected:
	char far*    GetClassName();

  DECLARE_STREAMABLE_FROM_BASE(_OWLCLASS, TSFXDivider, TControl);
};

#endif //	__SFX_SDIVIDER_H
